package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商品明细（用于订单查询）
 */
public class ItemEntity implements Serializable {
    /**
     * 商品表记录id
     */
    private String itemId;

    /**
     * 商品名称
     */
    private String itemTitle;
    /**
     * 商品数量
     */
    private Integer itemNum;
    /**
     * 商品价格
     */
    private BigDecimal itemPrice;
    /**
     * 商品分类
     */
    private String itemCategory;
    /**
     * 商品品名
     */
    private String descripitionName;

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public String getItemTitle() {
        return itemTitle;
    }

    public void setItemTitle(String itemTitle) {
        this.itemTitle = itemTitle;
    }

    public Integer getItemNum() {
        return itemNum;
    }

    public void setItemNum(Integer itemNum) {
        this.itemNum = itemNum;
    }

    public BigDecimal getItemPrice() {
        return itemPrice;
    }

    public void setItemPrice(BigDecimal itemPrice) {
        this.itemPrice = itemPrice;
    }

    public String getItemCategory() {
        return itemCategory;
    }

    public void setItemCategory(String itemCategory) {
        this.itemCategory = itemCategory;
    }

    public String getDescripitionName() {
        return descripitionName;
    }

    public void setDescripitionName(String descripitionName) {
        this.descripitionName = descripitionName;
    }
}
